be.fgov.ehealth.dics.protocol.v4

## Class FindByTherapeuticMoietyType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.FindByTherapeuticMoietyType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:31+01:00",
                 comments="JAXB RI v2.3.7")
      public class FindByTherapeuticMoietyType
      extends Object
      implements Serializable

  Java class for FindByTherapeuticMoietyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindByTherapeuticMoietyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="TherapeuticMoietyCode" type="{http://www.w3.org/2001/XMLSchema}positiveInteger"/>
               <element name="TherapeuticMoietyName" type="{urn:be:fgov:ehealth:dics:core:v4:core}SearchStringType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindByTherapeuticMoietyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getTherapeuticMoietyCode()` Gets the value of the therapeuticMoietyCode property.
    `String` | `getTherapeuticMoietyName()` Gets the value of the therapeuticMoietyName property.
    `void` | `setTherapeuticMoietyCode(BigInteger value)` Sets the value of the therapeuticMoietyCode property.
    `void` | `setTherapeuticMoietyName(String value)` Sets the value of the therapeuticMoietyName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindByTherapeuticMoietyType

          public FindByTherapeuticMoietyType()

  - ### Method Detail

    - #### getTherapeuticMoietyName

          public String getTherapeuticMoietyName()

      Gets the value of the therapeuticMoietyName property.
      Returns:
        possible object is `String`

    - #### setTherapeuticMoietyName

          public void setTherapeuticMoietyName(String value)

      Sets the value of the therapeuticMoietyName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTherapeuticMoietyCode

          public BigInteger getTherapeuticMoietyCode()

      Gets the value of the therapeuticMoietyCode property.
      Returns:
        possible object is `BigInteger`

    - #### setTherapeuticMoietyCode

          public void setTherapeuticMoietyCode(BigInteger value)

      Sets the value of the therapeuticMoietyCode property.
      Parameters:
        `value` - allowed object is `BigInteger`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.